Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 4089)
@@ -130,5 +130,5 @@
 
   INCLUDE "compbl.h"
-  INCLUDE "thermcell.h"
+  INCLUDE "alpale.h"
   
   deg2rad= pi/180.0
Index: /LMDZ6/trunk/libf/phylmd/alpale.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/alpale.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/alpale.F90	(revision 4089)
@@ -48,5 +48,5 @@
   REAL, DIMENSION(klon), INTENT(OUT)                         :: Ale_wake, Alp_wake
 
-  include "thermcell.h"
+  include "alpale.h"
   include "YOMCST.h"
   include "YOETHF.h"
Index: /LMDZ6/trunk/libf/phylmd/alpale_th.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/alpale_th.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/alpale_th.F90	(revision 4089)
@@ -47,5 +47,5 @@
   REAL, DIMENSION(klon), INTENT(OUT)                         :: birth_rate
 
-  include "thermcell.h"
+  include "alpale.h"
 
 ! Local variables
Index: /LMDZ6/trunk/libf/phylmd/calltherm.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/calltherm.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/calltherm.F90	(revision 4089)
@@ -7,5 +7,5 @@
      &      ,d_u_ajs,d_v_ajs,d_t_ajs,d_q_ajs  &
      &      ,fm_therm,entr_therm,detr_therm,zqasc,clwcon0,lmax,ratqscth,  &
-     &       ratqsdiff,zqsatth,Ale_bl,Alp_bl,lalim_conv,wght_th, &
+     &       ratqsdiff,zqsatth,ale_bl,alp_bl,lalim_conv,wght_th, &
      &       zmax0,f0,zw2,fraca,ztv,zpspsk,ztla,zthl &
 !!! nrlmd le 10/04/2012
@@ -17,12 +17,28 @@
      &      ,alp_bl_conv,alp_bl_stat &
 !!! fin nrlmd le 10/04/2012
-     &      ,zqla,ztva )
+     &      ,zqla,ztva &
+#ifdef ISO         
+     &      ,xt_seri,d_xt_ajs &
+#ifdef DIAGISO         
+     &      ,q_the,xt_the &
+#endif
+#endif         
+     &   )
 
       USE dimphy
       USE indice_sol_mod
       USE print_control_mod, ONLY: prt_level,lunout
+#ifdef ISO
+      use infotrac_phy, ONLY: ntraciso
+#ifdef ISOVERIF
+      USE isotopes_mod, ONLY: iso_eau,iso_HDO
+      USE isotopes_verif_mod, ONLY: iso_verif_aberrant_enc_vect2D, &
+        iso_verif_egalite_vect2D
+#endif   
+#endif
 
       implicit none
-      include "thermcell.h"
+      include "clesphys.h"
+      include "thermcell_old.h"
 
 
@@ -79,8 +95,8 @@
       real zqsatth(klon,klev)  
 !nouvelles variables pour la convection
-      real Ale_bl(klon)
-      real Alp_bl(klon)
-      real Ale(klon)
-      real Alp(klon)
+      real ale_bl(klon)
+      real alp_bl(klon)
+      real ale(klon)
+      real alp(klon)
 !RC
       !on garde le zmax du pas de temps precedent
@@ -102,4 +118,13 @@
 !********************************************************
 
+      real, dimension(klon) :: pcon
+      real, dimension(klon,klev) :: rhobarz,wth3
+      integer,dimension(klon) :: lalim
+      real, dimension(klon,klev+1) :: fm
+      real, dimension(klon,klev) :: alim_star
+      real, dimension(klon) :: zmax
+
+
+
 
 ! variables locales
@@ -115,6 +140,21 @@
       character (len=80) :: abort_message
 
-      integer i,k
+      integer i,k,isplit
       logical, save :: first=.true.
+      logical :: new_thermcell
+
+#ifdef ISO
+      REAL xt_seri(ntraciso,klon,klev),xtmemoire(ntraciso,klon,klev)
+      REAL d_xt_ajs(ntraciso,klon,klev)
+      real d_xt_the(ntraciso,klon,klev)
+#ifdef DIAGISO
+      real q_the(klon,klev)
+      real xt_the(ntraciso,klon,klev)
+#endif
+      real qprec(klon,klev)
+      integer ixt
+#endif
+
+
 !$OMP THREADPRIVATE(first)
 !********************************************************
@@ -144,6 +184,6 @@
          detr_therm(:,:)=0.
 
-         Ale_bl(:)=0.
-         Alp_bl(:)=0.
+         ale_bl(:)=0.
+         alp_bl(:)=0.
          if (prt_level.ge.10) then
           print*,'thermV4 nsplit: ',nsplit_thermals,' weak_inversion'
@@ -159,6 +199,15 @@
                 logexpr2(i,k)=.not.q_seri(i,k).ge.1.e-15
                if (logexpr2(i,k)) then
+#ifdef ISO
+                qprec(i,k)=q_seri(i,k)
+#endif
                 q_seri(i,k)=1.e-15
                 nbptspb=nbptspb+1
+#ifdef ISO
+                do ixt=1,ntraciso
+                  xt_seri(ixt,i,k)=1.e-15*(xt_seri(ixt,i,k)/qprec(i,k))
+                  ! xt_seri(ixt,i,k)=1.e-15*(Rdefault(index_iso(ixt)))
+                enddo
+#endif
                endif
 !               if (logexpr0) &
@@ -169,5 +218,21 @@
          if(nbptspb.GT.0) print*,'Number of points with q_seri(i,k)<=0 ',nbptspb   
 
+
+         new_thermcell=iflag_thermals>=15.and.iflag_thermals<=18
+#ifdef ISO
+      if (.not.new_thermcell) then
+           CALL abort_gcm('calltherm 234','isos pas prevus ici',1)
+      endif
+#ifdef ISOVERIF
+      if (iso_eau.gt.0) then
+       call iso_verif_egalite_vect2D( &
+     &           xt_seri,q_seri, &
+     &           'calltherm 174',ntraciso,klon,klev) 
+      endif !if (iso_eau.gt.0) then
+#endif    
+#endif
          zdt=dtime/REAL(nsplit_thermals)
+
+
          do isplit=1,nsplit_thermals
 
@@ -207,12 +272,4 @@
               abort_message = 'cas non prevu dans calltherm'
               CALL abort_physic (modname,abort_message,1)
-
-!           CALL thermcell_pluie(klon,klev,zdt  &
-!   &      ,pplay,paprs,pphi,zlev  &
-!    &      ,u_seri,v_seri,t_seri,q_seri  &
-!    &      ,d_u_the,d_v_the,d_t_the,d_q_the  &
-!    &      ,zfm_therm,zentr_therm,zqla  &
-!    &      ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
-!    &      ,tau_thermals,3)
           else if (iflag_thermals.eq.12) then
             CALL calcul_sec(klon,klev,zdt  &
@@ -223,16 +280,7 @@
      &      ,tau_thermals)
           else if (iflag_thermals==13.or.iflag_thermals==14) then
-            CALL thermcellV0_main(itap,klon,klev,zdt  &
-     &      ,pplay,paprs,pphi,debut  &
-     &      ,u_seri,v_seri,t_seri,q_seri  &
-     &      ,d_u_the,d_v_the,d_t_the,d_q_the  &
-     &      ,zfm_therm,zentr_therm,zdetr_therm,zqasc,zqla,lmax  &
-     &      ,ratqscth,ratqsdiff,zqsatth  &
-     &      ,r_aspect_thermals,l_mix_thermals  &
-     &      ,tau_thermals,Ale,Alp,lalim_conv,wght_th &
-     &      ,zmax0,f0,zw2,fraca)
-          else if (iflag_thermals>=15.and.iflag_thermals<=18) then
-
-!            print*,'THERM iflag_thermas_ed=',iflag_thermals_ed
+              abort_message = 'thermcellV0_main enleve svn>2084'
+              CALL abort_physic (modname,abort_message,1)
+          else if (new_thermcell) then
             CALL thermcell_main(itap,klon,klev,zdt  &
      &      ,pplay,paprs,pphi,debut  &
@@ -241,18 +289,26 @@
      &      ,zfm_therm,zentr_therm,zdetr_therm,zqasc,zqla,lmax  &
      &      ,ratqscth,ratqsdiff,zqsatth  &
-!    &      ,r_aspect_thermals,l_mix_thermals &
-!    &      ,tau_thermals,iflag_thermals_ed,iflag_coupl &
-     &      ,Ale,Alp,lalim_conv,wght_th &
      &      ,zmax0,f0,zw2,fraca,ztv,zpspsk &
-     &      ,ztla,zthl &
-!!! nrlmd le 10/04/2012
-     &      ,pbl_tke,pctsrf,omega,airephy &
-     &      ,zlcl_th,fraca0,w0,w_conv,therm_tke_max0,env_tke_max0 &
-     &      ,n2,s2,ale_bl_stat &
-     &      ,therm_tke_max,env_tke_max &
-     &      ,alp_bl_det,alp_bl_fluct_m,alp_bl_fluct_tke &
-     &      ,alp_bl_conv,alp_bl_stat &
-!!! fin nrlmd le 10/04/2012
-     &      ,ztva ) 
+     &      ,ztla,zthl,ztva &
+     &      ,pcon,rhobarz,wth3,wmax_sec,lalim,fm,alim_star,zmax &
+#ifdef ISO         
+     &      ,xt_seri,d_xt_the &
+#endif         
+     &   ) 
+
+            CALL thermcell_alp(klon,klev,zdt  &                      ! in
+     &        ,pplay,paprs  &                                        ! in
+     &        ,zfm_therm,zentr_therm,lmax  &                         ! in
+     &        ,pbl_tke,pctsrf,omega,airephy &                        ! in
+     &        ,zw2,fraca &                                           ! in
+     &        ,pcon,rhobarz,wth3,wmax_sec,lalim,fm,alim_star,zmax &  ! in
+     &        ,ale,alp,lalim_conv,wght_th &                          ! out
+     &        ,zlcl_th,fraca0,w0,w_conv,therm_tke_max0,env_tke_max0 &! out
+     &        ,n2,s2,ale_bl_stat &                                   ! out
+     &        ,therm_tke_max,env_tke_max &                           ! out
+     &        ,alp_bl_det,alp_bl_fluct_m,alp_bl_fluct_tke &          ! out
+     &        ,alp_bl_conv,alp_bl_stat &                             ! out
+     &        )
+
            if (prt_level.gt.10) write(lunout,*)'Apres thermcell_main OK'
          else
@@ -303,4 +359,9 @@
             detr_therm(:,k)=detr_therm(:,k)  &
      &       +zdetr_therm(:,k)*fact(:)
+#ifdef ISO
+            do ixt=1,ntraciso
+              d_xt_the(ixt,:,k)=d_xt_the(ixt,:,k)*dtime*fact(:)
+            enddo
+#endif
       ENDDO
        fm_therm(:,klev+1)=0.
@@ -313,4 +374,7 @@
             d_v_ajs(:,:)=d_v_ajs(:,:)+d_v_the(:,:)
             d_q_ajs(:,:)=d_q_ajs(:,:)+d_q_the(:,:)
+#ifdef ISO
+            d_xt_ajs(:,:,:)=d_xt_ajs(:,:,:)+d_xt_the(:,:,:)
+#endif
 
 !  incrementation des variables meteo
@@ -320,13 +384,31 @@
             qmemoire(:,:)=q_seri(:,:)
             q_seri(:,:) = q_seri(:,:) + d_q_the(:,:)
+#ifdef ISO
+            xtmemoire(:,:,:)=xt_seri(:,:,:)
+            xt_seri(:,:,:) = xt_seri(:,:,:) + d_xt_the(:,:,:)
+#ifdef ISOVERIF
+!      write(*,*) 'calltherm 350 tmp: ajout d_xt_the'
+      if (iso_HDO.gt.0) then
+!      i=479
+!      k=4
+!      write(*,*) 'xt_seri(iso_hdo,i,k),q_seri(i,k)=', &
+!     &   xt_seri(iso_hdo,i,k),q_seri(i,k)
+!      write(*,*) 'd_xt_the(iso_hdo,i,k),d_q_the(i,k)=', &
+!     &   d_xt_the(iso_hdo,i,k),d_q_the(i,k)
+      call iso_verif_aberrant_enc_vect2D( &
+     &        xt_seri,q_seri, &
+     &        'calltherm 353, apres ajout d_xt_the',ntraciso,klon,klev)
+      endif      
+#endif
+#endif 
            if (prt_level.gt.10) write(lunout,*)'Apres apres thermcell_main OK'
 
        DO i=1,klon
             fm_therm(i,klev+1)=0.
-            Ale_bl(i)=Ale_bl(i)+Ale(i)/REAL(nsplit_thermals)
-!            write(22,*)'ALE CALLTHERM',Ale_bl(i),Ale(i)
-            Alp_bl(i)=Alp_bl(i)+Alp(i)/REAL(nsplit_thermals)
-!            write(23,*)'ALP CALLTHERM',Alp_bl(i),Alp(i)
-        if(prt_level.GE.10) print*,'calltherm i Alp_bl Alp Ale_bl Ale',i,Alp_bl(i),Alp(i),Ale_bl(i),Ale(i)
+            ale_bl(i)=ale_bl(i)+ale(i)/REAL(nsplit_thermals)
+!            write(22,*)'ALE CALLTHERM',ale_bl(i),ale(i)
+            alp_bl(i)=alp_bl(i)+alp(i)/REAL(nsplit_thermals)
+!            write(23,*)'ALP CALLTHERM',alp_bl(i),alp(i)
+        if(prt_level.GE.10) print*,'calltherm i alp_bl alp ale_bl ale',i,alp_bl(i),alp(i),ale_bl(i),ale(i)
        ENDDO
 
@@ -341,4 +423,9 @@
                 q_seri(i,k)=1.e-15
                 nbptspb=nbptspb+1
+#ifdef ISO
+                do ixt=1,ntraciso
+                  xt_seri(ixt,i,k)=1.e-15*(xtmemoire(ixt,i,k)/qmemoire(i,k))
+                enddo
+#endif
 !                if (prt_level.ge.10) then
 !                  print*,'WARN eau<0 apres therm i=',i,'  k=',k  &
@@ -348,4 +435,14 @@
             ENDDO
             ENDDO
+#ifdef ISO
+#ifdef ISOVERIF
+      if (iso_HDO.gt.0) then
+      call iso_verif_aberrant_enc_vect2D( &
+     &        xt_seri,q_seri, &
+     &        'calltherm 393, apres bidouille q<0',ntraciso,klon,klev)
+      endif      
+#endif
+#endif
+
         IF(nbptspb.GT.0) print*,'Number of points with q_seri(i,k)<=0 ',nbptspb   
 ! tests sur les valeurs de la temperature
Index: /LMDZ6/trunk/libf/phylmd/calwake.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/calwake.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/calwake.F90	(revision 4089)
@@ -210,4 +210,16 @@
 
 
+! SUBROUTINE wake(klon,klev,znatsurf, p, ph, pi, dtime, &
+!                 tenv0, qe0, omgb, &
+!                 dtdwn, dqdwn, amdwn, amup, dta, dqa, wgen, &
+!                 sigd_con, Cin, &
+!                 deltatw, deltaqw, sigmaw, awdens, wdens, &                  ! state variables
+!                 dth, hw, wape, fip, gfl, &
+!                 dtls, dqls, ktopw, omgbdth, dp_omgb, tu, qu, &
+!                 dtke, dqke, omg, dp_deltomg, wkspread, cstar, &
+!                 d_deltat_gw, &
+!                 d_deltatw2, d_deltaqw2, d_sigmaw2, d_awdens2, d_wdens2)     ! tendencies
+! 
+  ! retour a un Pupper fixe                                *
   CALL wake(klon,klev,znatsurf, p, ph, pi, dtime, &
     te, qe, omgbe, &
Index: /LMDZ6/trunk/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/clesphys.h	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/clesphys.h	(revision 4089)
@@ -15,4 +15,7 @@
        INTEGER nbapp_rad, iflag_con, nbapp_cv, nbapp_wk, iflag_ener_conserv
        REAL co2_ppm, co2_ppm0, solaire
+       INTEGER iflag_thermals,nsplit_thermals
+       REAL tau_thermals
+
 !FC
        REAL Cd_frein
@@ -145,6 +148,6 @@
      &     , ok_chlorophyll,ok_conserv_q, adjust_tropopause             &
      &     , ok_daily_climoz, ok_all_xml, ok_lwoff                      &
-     &     , iflag_phytrac, ok_new_lscp
-     
+     &     , iflag_phytrac, ok_new_lscp                                 &
+     &     ,  iflag_thermals,nsplit_thermals, tau_thermals    
        save /clesphys/
 !$OMP THREADPRIVATE(/clesphys/)
Index: /LMDZ6/trunk/libf/phylmd/cloudth_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cloudth_mod.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/cloudth_mod.F90	(revision 4089)
@@ -24,5 +24,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
 
@@ -269,5 +268,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
       
@@ -609,5 +607,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
 
@@ -833,5 +830,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
       
@@ -1295,5 +1291,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
 
@@ -1562,5 +1557,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "thermcell.h"
 #include "nuage.h"
       
Index: /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 4089)
@@ -39,5 +39,5 @@
     INCLUDE "YOMCST.h"
     INCLUDE "YOMCST2.h"
-    INCLUDE "thermcell.h"
+    INCLUDE "alpale.h"
 
     !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
@@ -142,6 +142,4 @@
     REAL,SAVE :: seuil_inversion_omp
 
-    INTEGER,SAVE :: iflag_thermals_ed_omp,iflag_thermals_optflux_omp,iflag_thermals_closure_omp
-    REAL, SAVE :: fact_thermals_ed_dz_omp
     INTEGER,SAVE :: iflag_thermals_omp,nsplit_thermals_omp
     REAL,SAVE :: tau_thermals_omp,alp_bl_k_omp
@@ -1718,42 +1716,7 @@
     CALL getin('iflag_thermals',iflag_thermals_omp)
     !
-    !Config Key  = iflag_thermals_ed
-    !Config Desc =
-    !Config Def  = 0
-    !Config Help =
-    !
-    fact_thermals_ed_dz_omp = 0.1
-
-    CALL getin('fact_thermals_ed_dz',fact_thermals_ed_dz_omp)
-    !
-    !
-    !Config Key  = iflag_thermals_ed
-    !Config Desc =
-    !Config Def  = 0
-    !Config Help =
-    !
-    iflag_thermals_ed_omp = 0
-    CALL getin('iflag_thermals_ed',iflag_thermals_ed_omp)
-    !
-    !
-    !Config Key  = iflag_thermals_optflux
-    !Config Desc =
-    !Config Def  = 0
-    !Config Help =
-    !
-    iflag_thermals_optflux_omp = 0
-    CALL getin('iflag_thermals_optflux',iflag_thermals_optflux_omp)
-    !
-    !Config Key  = iflag_thermals_closure
-    !Config Desc =
-    !Config Def  = 0
-    !Config Help =
-    !
-    iflag_thermals_closure_omp = 1
-    CALL getin('iflag_thermals_closure',iflag_thermals_closure_omp)
-    !
     !Config Key  = nsplit_thermals
     !Config Desc =
-    !Config Def  = 1
+    !Config Def  = 0
     !Config Help =
     !
@@ -2633,8 +2596,4 @@
     ip_ebil_phy = ip_ebil_phy_omp
     iflag_thermals = iflag_thermals_omp
-    iflag_thermals_ed = iflag_thermals_ed_omp
-    fact_thermals_ed_dz = fact_thermals_ed_dz_omp
-    iflag_thermals_optflux = iflag_thermals_optflux_omp
-    iflag_thermals_closure = iflag_thermals_closure_omp
     nsplit_thermals = nsplit_thermals_omp
     tau_thermals = tau_thermals_omp
@@ -3002,8 +2961,4 @@
     WRITE(lunout,*) ' iflag_order2_sollw = ', iflag_order2_sollw
     WRITE(lunout,*) ' iflag_thermals = ', iflag_thermals
-    WRITE(lunout,*) ' iflag_thermals_ed = ', iflag_thermals_ed
-    WRITE(lunout,*) ' fact_thermals_ed_dz = ', fact_thermals_ed_dz
-    WRITE(lunout,*) ' iflag_thermals_optflux = ', iflag_thermals_optflux
-    WRITE(lunout,*) ' iflag_thermals_closure = ', iflag_thermals_closure
     WRITE(lunout,*) ' iflag_clos = ', iflag_clos
     WRITE(lunout,*) ' coef_clos_ls = ', coef_clos_ls
Index: /LMDZ6/trunk/libf/phylmd/phyetat0.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 4089)
@@ -43,5 +43,5 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "thermcell.h"
+  include "alpale.h"
   include "compbl.h"
   include "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/phyredem.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 4089)
@@ -47,5 +47,5 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "thermcell.h"
+  include "alpale.h"
   include "compbl.h"
   !======================================================================
Index: /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 4089)
@@ -53,5 +53,4 @@
     IMPLICIT NONE
     include "clesphys.h"
-    include "thermcell.h"
     include "YOMCST.h"
 
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4089)
@@ -426,5 +426,5 @@
 
     INCLUDE "clesphys.h"
-    INCLUDE "thermcell.h"
+    INCLUDE "alpale.h"
     INCLUDE "compbl.h"
     INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 4089)
@@ -79,4 +79,5 @@
     USE lscp_mod, ONLY : lscp
     USE wake_ini_mod, ONLY : wake_ini
+    USE thermcell_ini_mod, ONLY : thermcell_ini
 
     !USE cmp_seri_mod
@@ -355,5 +356,5 @@
     include "dimsoil.h"
     include "clesphys.h"
-    include "thermcell.h"
+    include "alpale.h"
     include "dimpft.h"
     !======================================================================
@@ -1732,4 +1733,7 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        CALL wake_ini(rg,rd,rv,prt_level)
+       CALL thermcell_ini(iflag_thermals,prt_level,tau_thermals,lunout, &
+   &    RG,RD,RCPD,RKAPPA,RLVTT,RETV)
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
Index: /LMDZ6/trunk/libf/phylmd/phytrac_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phytrac_mod.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/phytrac_mod.F90	(revision 4089)
@@ -153,5 +153,4 @@
     INCLUDE "YOMCST.h"
     INCLUDE "clesphys.h"
-    INCLUDE "thermcell.h"
     !==========================================================================
     !                   -- ARGUMENT DESCRIPTION --
Index: /LMDZ6/trunk/libf/phylmd/thermcell_alim.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/thermcell_alim.F90	(revision 4088)
+++ /LMDZ6/trunk/libf/phylmd/thermcell_alim.F90	(revision 4089)
@@ -11,10 +11,4 @@
 !--------------------------------------------------------------------------
 
-#include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
-#include "thermcell.h"
-
-!      fort(10) ptimestep,ztv,zthl,po,zl,rhobarz,zlev,pplev,pphi,zpspsk,f0
       INTEGER, INTENT(IN) :: ngrid,klev
       REAL, INTENT(IN) :: ztv(ngrid,klev)
@@ -41,5 +35,5 @@
 
 !-------------------------------------------------------------------------
-! Definition de l'alimentation a l'origine dans thermcell_init
+! Definition de l'alimentation
 !-------------------------------------------------------------------------
    IF (flag==0) THEN ! CMIP5 version
